/*
 * Copyright (c) 2013-2016 GraphAware
 *
 * This file is part of the GraphAware Framework.
 *
 * GraphAware Framework is free software: you can redistribute it and/or modify it under the terms of
 * the GNU General Public License as published by the Free Software Foundation, either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of
 * the GNU General Public License along with this program.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.graphaware.server;

import com.graphaware.service.LifecycleTestService;
import com.graphaware.test.integration.CommunityNeoTestServer;
import com.graphaware.test.integration.EnterpriseNeoTestServer;
import com.graphaware.test.integration.NeoTestServer;
import com.graphaware.writer.LifecycleTestWriter;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;

import java.io.IOException;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

@Ignore
public class BeanLifecycleTest {

    @Before
    public void setUp() {
        LifecycleTestService.initCalled = false;
        LifecycleTestWriter.initCalled = false;
        LifecycleTestService.destroyCalled = false;
        LifecycleTestWriter.destroyCalled = false;
    }

    @Test
    public void lifecycleAnnotationsShouldBeHonouredInWebContextCommunity() throws IOException, InterruptedException {
        assertFalse(LifecycleTestService.initCalled);
        assertFalse(LifecycleTestService.destroyCalled);

        NeoTestServer testServer = new CommunityNeoTestServer();
        testServer.start();

        assertTrue(LifecycleTestService.initCalled);
        assertFalse(LifecycleTestService.destroyCalled);

        testServer.stop();

        assertTrue(LifecycleTestService.initCalled);
        assertTrue(LifecycleTestService.destroyCalled);
    }

    @Test
    public void lifecycleAnnotationsShouldBeHonouredInWebContextEnterprise() throws IOException, InterruptedException {
        assertFalse(LifecycleTestService.initCalled);
        assertFalse(LifecycleTestService.destroyCalled);

        NeoTestServer testServer = new EnterpriseNeoTestServer();
        testServer.start();

        assertTrue(LifecycleTestService.initCalled);
        assertFalse(LifecycleTestService.destroyCalled);

        testServer.stop();

        assertTrue(LifecycleTestService.initCalled);
        assertTrue(LifecycleTestService.destroyCalled);
    }
}
